Need newest ModemManager / NetworkManager for LTE-Modem

Questions about WIFI networks and devices
Forum rules
Before you post please read this

Need newest ModemManager / NetworkManager for LTE-Modem

Postby OlMightyG on Tue Oct 29, 2013 9:11 am

Hi folks,

I got an Ativ- Ultrabook with an integrated LTE-Modem. It does not work with Olivia.

usb-devices shows:
Code: Select all
T:  Bus=01 Lev=02 Prnt=02 Port=02 Cnt=02 Dev#=  4 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=04e8 ProdID=70d7 Rev=00.00
S:  Manufacturer=SAMSUNG ELECTRONICS Co.,Ltd.
S:  Product=Samsung LTE Mobile Broadband
S:  SerialNumber=1234567890ABCDEF
C:  #Ifs= 2 Cfg#= 1 Atr=a0 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(commc) Sub=0e Prot=00 Driver=cdc_mbim
I:  If#= 1 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=02 Driver=cdc_mbim


I found that the driver "cdc_mbim" is supported by the kernel since 3.8 but it needs the newest 1.0 release of the NetworkManager and ModemManager to get the modem to work.

I also tried to compile the thing myself and got stuck after "./config":
Code: Select all
configure: error: Package requirements (glib-2.0 >= 2.32
                  gmodule-2.0
                  gobject-2.0
                  gio-2.0
                  gio-unix-2.0) were not met:

No package 'glib-2.0' found
No package 'gmodule-2.0' found
No package 'gobject-2.0' found
No package 'gio-2.0' found
No package 'gio-unix-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables MM_CFLAGS
and MM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


So my question is:
Is there any packages that I can use?
Will the newest version be included in the new release of Mint? I know that it is not included in Ubuntu.

Thanks for any advice!
OlMightyG
Level 1
Level 1
 
Posts: 3
Joined: Mon Oct 28, 2013 1:29 pm

Linux Mint is funded by ads and donations.
 

Re: Need newest ModemManager / NetworkManager for LTE-Modem

Postby OlMightyG on Thu Dec 05, 2013 3:43 pm

Hi,

so I tried a live stick of the new Mint 16. Still not working. Are there any possibilities to fix that in this version? Same information as above.
OlMightyG
Level 1
Level 1
 
Posts: 3
Joined: Mon Oct 28, 2013 1:29 pm

Re: Need newest ModemManager / NetworkManager for LTE-Modem

Postby OlMightyG on Mon Dec 09, 2013 6:35 pm

OlMightyG
Level 1
Level 1
 
Posts: 3
Joined: Mon Oct 28, 2013 1:29 pm


Return to Wireless

Who is online

Users browsing this forum: No registered users and 6 guests